Subject: Re: [PATCH 1/6] Move code patching code into arch/powerpc/lib/code-patching.c

From: Michael Ellerman <[email-masked]>
Date: Thu, 19 Jun 2008 16:55:13 +1000

On Thu, 2008-06-19 at 01:15 -0500, Kumar Gala wrote:
> On May 29, 2008, at 1:20 AM, Michael Ellerman wrote:
> 
> > We currently have a few routines for patching code in asm/system.h,  
> > because
> > they didn't fit anywhere else. I'd like to clean them up a little  
> > and add
> > some more, so first move them into a dedicated C file - they don't  
> > need to
> > be inlined.
> >
> > While we're moving the code, drop create_function_call(), it's  
> > intended
> > caller never got merged and will be replaced in future with something
> > different.
> >
> > Signed-off-by: Michael Ellerman <[email-masked]>
> > ---
> > arch/powerpc/kernel/crash_dump.c          |    1 +
> > arch/powerpc/lib/Makefile                 |    2 +
> > arch/powerpc/lib/code-patching.c          |   33 ++++++++++++++++++++
> > arch/powerpc/platforms/86xx/mpc86xx_smp.c |    1 +
> > arch/powerpc/platforms/powermac/smp.c     |    1 +
> > include/asm-powerpc/code-patching.h       |   25 +++++++++++++++
> > include/asm-powerpc/system.h              |   48  
> > -----------------------------
> > 7 files changed, 63 insertions(+), 48 deletions(-)
> >
> > diff --git a/arch/powerpc/kernel/crash_dum
> 
> what's the state of these patches and getting them into powerpc-next?

I think what I posted is reasonably solid, I've added some more routines
for the stuff I'm working on. I'll repost today or tommorrow.

> I'm looking at some runtime fix ups that I was thinking of basing on  
> this code.

What have you got in mind? I'm working on some runtime fixups too :)

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person